Skip to main content
`Ctrl`+`K`

# DMPlexGetCone

Return the points on the in-edges for this point in the DAG

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetCone(DM dm, PetscInt p, const PetscInt *cone[])

Not Collective

## Input Parameters

- dm - The `DMPLEX`

- p - The point, which must lie in the chart set with `DMPlexSetChart()`

## Output Parameter

- cone - An array of points which are on the in-edges for point `p`, the length of `cone` is the result of `DMPlexGetConeSize()`

## Fortran Notes

`cone` must be declared with

      PetscInt, pointer :: cone(:)

You must call `DMPlexRestoreCone()` after you finish using the array. `DMPlexRestoreCone()` is not needed/available in C.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexGetConeSize()`, `DMPlexSetCone()`, `DMPlexGetConeTuple()`, `DMPlexSetChart()`, `DMPlexRestoreCone()`

## Level

beginner

## Location

src/dm/impls/plex/plex.c

## Examples

src/snes/tutorials/ex7.c
src/ts/tutorials/ex11_sa.c
src/dm/impls/plex/tutorials/ex11.c
src/ts/tutorials/ex52.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages